Bug 169370 - fix graphics/php5-ffmpeg compilation against php 5.4
fix graphics/php5-ffmpeg compilation against php 5.4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alonso Cárdenas Márquez
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 12:50 UTC by alexander.moskalenko
Modified: 2012-09-02 06:20 UTC (History)
0 users

See Also:


Attachments
patch-ffmpeg_movie.c (1.11 KB, text/plain)
2012-06-24 12:50 UTC, alexander.moskalenko
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alexander.moskalenko 2012-06-24 12:50:05 UTC
         graphics/php5-ffmpeg does not compile against PHP 5.4 brach.
This prevents from upgrading 5.3 -> 5.4

Fix: Apply patch
How-To-Repeat:          Try to install php5-ffmpeg with PHP 5.4
Comment 1 Edwin Groothuis freebsd_committer 2012-06-24 18:23:13 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Alonso Cárdenas Márquez freebsd_committer 2012-09-02 06:15:30 UTC
State Changed
From-To: open->closed

- Committed thanks!!
Comment 3 dfilter freebsd_committer 2012-09-02 06:16:36 UTC
Author: acm
Date: Sun Sep  2 05:15:16 2012
New Revision: 303530
URL: http://svn.freebsd.org/changeset/ports/303530

Log:
  - Fix build on PHP 5.4.x
  
  PR:             169370
  Submitted by:   Alexander Moskalenko <alexander.moskalenko  at  gmail.com>

Added:
  head/graphics/php5-ffmpeg/files/patch-ffmpeg_movie.c   (contents, props changed)
Modified:
  head/graphics/php5-ffmpeg/Makefile

Modified: head/graphics/php5-ffmpeg/Makefile
==============================================================================
--- head/graphics/php5-ffmpeg/Makefile	Sun Sep  2 05:07:01 2012	(r303529)
+++ head/graphics/php5-ffmpeg/Makefile	Sun Sep  2 05:15:16 2012	(r303530)
@@ -7,7 +7,7 @@
 
 PORTNAME=	ffmpeg
 PORTVERSION=	0.6.0
-PORTREVISION=	6
+PORTREVISION=	7
 CATEGORIES=	graphics
 MASTER_SITES=	SF/${PORTNAME}-php/${PORTNAME}-php/${PORTVERSION}
 PKGNAMEPREFIX=	php5-
@@ -25,8 +25,7 @@ USE_BZIP2=	yes
 USE_PHP=	yes
 USE_PHPIZE=	yes
 USE_PHPEXT=	yes
-DEFAULT_PHP_VER=53
-IGNORE_WITH_PHP=5
+DEFAULT_PHP_VER=54
 
 CONFIGURE_ARGS+=	--with-ffmpeg=${LOCALBASE}/include
 

Added: head/graphics/php5-ffmpeg/files/patch-ffmpeg_movie.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/php5-ffmpeg/files/patch-ffmpeg_movie.c	Sun Sep  2 05:15:16 2012	(r303530)
@@ -0,0 +1,38 @@
+--- ffmpeg_movie.c.orig	2012-09-01 22:21:08.000000000 -0500
++++ ffmpeg_movie.c	2012-09-01 22:25:06.000000000 -0500
+@@ -308,7 +308,7 @@
+     } 
+ 
+     if (persistent) {
+-        list_entry *le;
++	zend_rsrc_list_entry *le;
+         /* resolve the fully-qualified path name to use as the hash key */
+         fullpath = expand_filepath(filename, NULL TSRMLS_CC);
+ 
+@@ -343,7 +343,7 @@
+             }
+             
+         } else { /* no existing persistant movie, create one */
+-            list_entry new_le;
++	    zend_rsrc_list_entry new_le;
+             ffmovie_ctx = _php_alloc_ffmovie_ctx(1);
+ 
+             if (_php_open_movie_file(ffmovie_ctx, filename)) {
+@@ -357,7 +357,7 @@
+             new_le.ptr = ffmovie_ctx;
+ 
+             if (FAILURE == zend_hash_update(&EG(persistent_list), hashkey, 
+-                        hashkey_length+1, (void *)&new_le, sizeof(list_entry),
++                        hashkey_length+1, (void *)&new_le, sizeof(zend_rsrc_list_entry),
+                         NULL)) {
+                 php_error_docref(NULL TSRMLS_CC, E_WARNING, 
+                         "Failed to register persistent resource");
+@@ -501,7 +501,7 @@
+                     codec_id));
+ 
+         if (!decoder) {
+-            zend_error(E_ERROR, "Could not find decoder for %s", 
++            zend_error(E_WARNING, "Could not find decoder for %s", 
+                     _php_get_filename(ffmovie_ctx));
+             return NULL;
+         }
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"